> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Deduction

> Register existing benefits from the customer on the provider, on Finch's end. Please use the `/provider` endpoint to view available types for each provider.

**Availability: Assisted providers only**


## OpenAPI

````yaml post /employer/benefits/register
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/benefits/register:
    post:
      tags:
        - Deductions
      summary: Register Deduction
      description: >-
        Register existing benefits from the customer on the provider, on Finch's
        end. Please use the `/provider` endpoint to view available types for
        each provider.
      operationId: register-company-benefits
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
        - $ref: '#/components/parameters/Content-Type'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  $ref: '#/components/schemas/BenefitType'
                description:
                  type: string
                frequency:
                  $ref: '#/components/schemas/BenefitFrequency'
      responses:
        '201':
          description: Successfully Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterCompanyBenefitResponse'
              examples:
                Success:
                  value:
                    benefit_id: e8b90071-0c11-471c-86e8-e303ef2f6782
                    job_id: be1b3351-a88e-46c2-96e4-c2cf38e529a7
        '400':
          description: Requested adapter is not assisted benefits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid Adapter:
                  value:
                    code: 400
                    name: invalid_request_error
                    message: This adapter does not support assisted benefits.
        '422':
          description: Request provided with unsupported parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid Benefit:
                  value:
                    code: 422
                    name: unprocessable_request_error
                    finch_code: unsupported_paramters
                    message: Provider does not support benefit type '401k'
      security:
        - bearerAuth: []
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        default: application/json
      description: 'Used to indicate the original media type of the resource '
  schemas:
    BenefitType:
      type: string
      nullable: true
      enum:
        - '457'
        - 401k
        - 401k_roth
        - 401k_loan
        - 403b
        - 403b_roth
        - 457_roth
        - commuter
        - custom_post_tax
        - custom_pre_tax
        - fsa_dependent_care
        - fsa_medical
        - hsa_post
        - hsa_pre
        - s125_dental
        - s125_medical
        - s125_vision
        - simple
        - simple_ira
        - null
      description: Type of benefit.
      title: BenefitType
      x-tags:
        - Models
    BenefitFrequency:
      type: string
      nullable: true
      enum:
        - every_paycheck
        - monthly
        - one_time
        - null
      description: The frequency of the benefit deduction/contribution.
      title: BenefitFrequency
      x-tags:
        - Models
    RegisterCompanyBenefitResponse:
      type: object
      properties:
        benefit_id:
          type: string
          format: uuid
          description: The id of the benefit.
        job_id:
          type: string
          format: uuid
      required:
        - benefit_id
        - job_id
    Error:
      title: Error
      type: object
      description: Generic error response structure
      properties:
        code:
          type: integer
          description: The status code of the request.
        name:
          type: string
          description: Identifier describing the error.
        finch_code:
          type: string
          description: A descriptive identifier for the error.
        message:
          type: string
          description: >-
            A short English description that provides more information about the
            error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````